<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref25.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::SymbolLookup::ScopeDisplay::~ScopeDisplay&#40;&#41; - Synopsis::SymbolLookup::SymbolVisitor::visit&#40;const ConstName*&#41;</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::SymbolLookup::ScopeDisplay::~ScopeDisplay&#40;&#41; - Synopsis::SymbolLookup::SymbolVisitor::visit&#40;const ConstName*&#41;</h1><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScopeDisplay_m_tScopeDisplay_l_r" /><h2 >Destructor Synopsis::SymbolLookup::ScopeDisplay::~ScopeDisplay&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html#_tScopeDisplay_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#49">Synopsis/SymbolLookup/Display.hh:49</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScopeVisitor" /><h2 >Class Synopsis::SymbolLookup::ScopeVisitor</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup.html#ScopeVisitor" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#30">Synopsis/SymbolLookup/Scopes.hh:30</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html" >Synopsis::SymbolLookup::ScopeVisitor</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#45">Synopsis/SymbolLookup/Display.hh:45</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#97">Synopsis/SymbolLookup/Scope.hh:97</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#53">Synopsis/SymbolLookup/Scopes.hh:53</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html" >Synopsis::SymbolLookup::TemplateParameterScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#74">Synopsis/SymbolLookup/Scopes.hh:74</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html" >Synopsis::SymbolLookup::LocalScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#99">Synopsis/SymbolLookup/Scopes.hh:99</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#131">Synopsis/SymbolLookup/Scopes.hh:131</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#160">Synopsis/SymbolLookup/Scopes.hh:160</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#194">Synopsis/SymbolLookup/Scopes.hh:194</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScopeVisitor_mvisit_lClass_S_r" /><h2 >Member function Synopsis::SymbolLookup::ScopeVisitor::visit&#40;Class*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html#visit_lClass_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#39">Synopsis/SymbolLookup/Scopes.hh:39</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html" >Synopsis::SymbolLookup::ScopeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScopeVisitor_mvisit_lFunctionScope_S_r" /><h2 >Member function Synopsis::SymbolLookup::ScopeVisitor::visit&#40;FunctionScope*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html#visit_lFunctionScope_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#38">Synopsis/SymbolLookup/Scopes.hh:38</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html" >Synopsis::SymbolLookup::ScopeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScopeVisitor_mvisit_lLocalScope_S_r" /><h2 >Member function Synopsis::SymbolLookup::ScopeVisitor::visit&#40;LocalScope*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html#visit_lLocalScope_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#36">Synopsis/SymbolLookup/Scopes.hh:36</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html" >Synopsis::SymbolLookup::ScopeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScopeVisitor_mvisit_lNamespace_S_r" /><h2 >Member function Synopsis::SymbolLookup::ScopeVisitor::visit&#40;Namespace*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html#visit_lNamespace_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#40">Synopsis/SymbolLookup/Scopes.hh:40</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html" >Synopsis::SymbolLookup::ScopeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScopeVisitor_mvisit_lPrototypeScope_S_r" /><h2 >Member function Synopsis::SymbolLookup::ScopeVisitor::visit&#40;PrototypeScope*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html#visit_lPrototypeScope_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#37">Synopsis/SymbolLookup/Scopes.hh:37</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html" >Synopsis::SymbolLookup::ScopeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScopeVisitor_mvisit_lTemplateParameterScope_S_r" /><h2 >Member function Synopsis::SymbolLookup::ScopeVisitor::visit&#40;TemplateParameterScope*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html#visit_lTemplateParameterScope_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#35">Synopsis/SymbolLookup/Scopes.hh:35</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html" >Synopsis::SymbolLookup::ScopeVisitor</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#53">Synopsis/SymbolLookup/Scopes.hh:53</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html#accept_lScopeVisitor_S_r" >Synopsis::SymbolLookup::TemplateParameterScope::accept&#40;ScopeVisitor*&#41;</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#74">Synopsis/SymbolLookup/Scopes.hh:74</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html#accept_lScopeVisitor_S_r" >Synopsis::SymbolLookup::LocalScope::accept&#40;ScopeVisitor*&#41;</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#99">Synopsis/SymbolLookup/Scopes.hh:99</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html#accept_lScopeVisitor_S_r" >Synopsis::SymbolLookup::FunctionScope::accept&#40;ScopeVisitor*&#41;</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#131">Synopsis/SymbolLookup/Scopes.hh:131</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#accept_lScopeVisitor_S_r" >Synopsis::SymbolLookup::PrototypeScope::accept&#40;ScopeVisitor*&#41;</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#160">Synopsis/SymbolLookup/Scopes.hh:160</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Class.html#accept_lScopeVisitor_S_r" >Synopsis::SymbolLookup::Class::accept&#40;ScopeVisitor*&#41;</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#194">Synopsis/SymbolLookup/Scopes.hh:194</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html#accept_lScopeVisitor_S_r" >Synopsis::SymbolLookup::Namespace::accept&#40;ScopeVisitor*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mScopeVisitor_m_tScopeVisitor_l_r" /><h2 >Destructor Synopsis::SymbolLookup::ScopeVisitor::~ScopeVisitor&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html#_tScopeVisitor_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#33">Synopsis/SymbolLookup/Scopes.hh:33</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html" >Synopsis::SymbolLookup::ScopeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbol" /><h2 >Class Synopsis::SymbolLookup::Symbol</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Symbol.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#53">Synopsis/SymbolLookup/Symbol.hh:53</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html" >Synopsis::SymbolLookup::Symbol</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#22">Synopsis/SymbolLookup/Display.hh:22</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#26">Synopsis/SymbolLookup/Display.hh:26</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#61">Synopsis/SymbolLookup/Scope.hh:61</a>: in namespace <a href="../Scopes/Synopsis/SymbolLookup.html" >Synopsis::SymbolLookup</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#107">Synopsis/SymbolLookup/Scope.hh:107</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#122">Synopsis/SymbolLookup/Scope.hh:122</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#133">Synopsis/SymbolLookup/Scope.hh:133</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#35">Synopsis/SymbolLookup/Symbol.hh:35</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#71">Synopsis/SymbolLookup/Symbol.hh:71</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/VariableName.html" >Synopsis::SymbolLookup::VariableName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#97">Synopsis/SymbolLookup/Symbol.hh:97</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TypeName.html" >Synopsis::SymbolLookup::TypeName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#134">Synopsis/SymbolLookup/Symbol.hh:134</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ClassTemplateName.html" >Synopsis::SymbolLookup::ClassTemplateName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#147">Synopsis/SymbolLookup/Symbol.hh:147</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionName.html" >Synopsis::SymbolLookup::FunctionName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#160">Synopsis/SymbolLookup/Symbol.hh:160</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html" >Synopsis::SymbolLookup::FunctionTemplateName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#172">Synopsis/SymbolLookup/Symbol.hh:172</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/NamespaceName.html" >Synopsis::SymbolLookup::NamespaceName</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/OverloadResolver.hh.html#19">Synopsis/TypeAnalysis/OverloadResolver.hh:19</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#56">Synopsis/SymbolLookup/Symbol.hh:56</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#Symbol_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cbool_cScope_S_r" >Symbol&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;bool&#44;Scope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#58">Synopsis/SymbolLookup/Symbol.hh:58</a>: Destructor <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#_tSymbol_l_r" >~Symbol&#40;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#59">Synopsis/SymbolLookup/Symbol.hh:59</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#accept_lSymbolVisitor_S_rconst" >accept&#40;SymbolVisitor*&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#60">Synopsis/SymbolLookup/Symbol.hh:60</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#type_l_rconst" >type&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#61">Synopsis/SymbolLookup/Symbol.hh:61</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#ptree_l_rconst" >ptree&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#62">Synopsis/SymbolLookup/Symbol.hh:62</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#is_definition_l_rconst" >is_definition&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#63">Synopsis/SymbolLookup/Symbol.hh:63</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#scope_l_rconst" >scope&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#65">Synopsis/SymbolLookup/Symbol.hh:65</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#my_type" >my_type</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#66">Synopsis/SymbolLookup/Symbol.hh:66</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#my_ptree" >my_ptree</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#67">Synopsis/SymbolLookup/Symbol.hh:67</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#my_definition" >my_definition</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#68">Synopsis/SymbolLookup/Symbol.hh:68</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#my_scope" >my_scope</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbol_mSymbol_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cbool_cScope_S_r" /><h2 >Synopsis::SymbolLookup::Symbol::Symbol&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;bool&#44;Scope*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#56">Synopsis/SymbolLookup/Symbol.hh:56</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html" >Synopsis::SymbolLookup::Symbol</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbol_maccept_lSymbolVisitor_S_rconst" /><h2 >Member function Synopsis::SymbolLookup::Symbol::accept&#40;SymbolVisitor*&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#accept_lSymbolVisitor_S_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#59">Synopsis/SymbolLookup/Symbol.hh:59</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html" >Synopsis::SymbolLookup::Symbol</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbol_mis_definition_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::Symbol::is_definition&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#is_definition_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#62">Synopsis/SymbolLookup/Symbol.hh:62</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html" >Synopsis::SymbolLookup::Symbol</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbol_mmy_definition" /><h2 >Data member Synopsis::SymbolLookup::Symbol::my_definition</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#my_definition" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#67">Synopsis/SymbolLookup/Symbol.hh:67</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html" >Synopsis::SymbolLookup::Symbol</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#62">Synopsis/SymbolLookup/Symbol.hh:62</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#is_definition_l_rconst" >Synopsis::SymbolLookup::Symbol::is_definition&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbol_mmy_ptree" /><h2 >Data member Synopsis::SymbolLookup::Symbol::my_ptree</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#my_ptree" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#66">Synopsis/SymbolLookup/Symbol.hh:66</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html" >Synopsis::SymbolLookup::Symbol</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#61">Synopsis/SymbolLookup/Symbol.hh:61</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#ptree_l_rconst" >Synopsis::SymbolLookup::Symbol::ptree&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbol_mmy_scope" /><h2 >Data member Synopsis::SymbolLookup::Symbol::my_scope</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#my_scope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#68">Synopsis/SymbolLookup/Symbol.hh:68</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html" >Synopsis::SymbolLookup::Symbol</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#63">Synopsis/SymbolLookup/Symbol.hh:63</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#scope_l_rconst" >Synopsis::SymbolLookup::Symbol::scope&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbol_mmy_type" /><h2 >Data member Synopsis::SymbolLookup::Symbol::my_type</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#my_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#65">Synopsis/SymbolLookup/Symbol.hh:65</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html" >Synopsis::SymbolLookup::Symbol</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#60">Synopsis/SymbolLookup/Symbol.hh:60</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#type_l_rconst" >Synopsis::SymbolLookup::Symbol::type&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbol_mptree_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::Symbol::ptree&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#ptree_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#61">Synopsis/SymbolLookup/Symbol.hh:61</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html" >Synopsis::SymbolLookup::Symbol</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbol_mscope_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::Symbol::scope&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#scope_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#63">Synopsis/SymbolLookup/Symbol.hh:63</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html" >Synopsis::SymbolLookup::Symbol</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbol_mtype_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::Symbol::type&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#type_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#60">Synopsis/SymbolLookup/Symbol.hh:60</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html" >Synopsis::SymbolLookup::Symbol</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbol_m_tSymbol_l_r" /><h2 >Destructor Synopsis::SymbolLookup::Symbol::~Symbol&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#_tSymbol_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#58">Synopsis/SymbolLookup/Symbol.hh:58</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html" >Synopsis::SymbolLookup::Symbol</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolDisplay" /><h2 >Class Synopsis::SymbolLookup::SymbolDisplay</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#17">Synopsis/SymbolLookup/Display.hh:17</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#20">Synopsis/SymbolLookup/Display.hh:20</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#SymbolDisplay_lstd_mostream_A_csize_t_r" >SymbolDisplay&#40;std::ostream&amp;&#44;size_t&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#22">Synopsis/SymbolLookup/Display.hh:22</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#display_lconst.PTree_mEncoding_A_cconst.Symbol_S_r" >display&#40;const PTree::Encoding&amp;&#44;const Symbol*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#24">Synopsis/SymbolLookup/Display.hh:24</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#prefix_lconst.std_mstring_A_r" >prefix&#40;const std::string&amp;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#26">Synopsis/SymbolLookup/Display.hh:26</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.Symbol_S_r" >visit&#40;const Symbol*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#27">Synopsis/SymbolLookup/Display.hh:27</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.VariableName_S_r" >visit&#40;const VariableName*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#28">Synopsis/SymbolLookup/Display.hh:28</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.ConstName_S_r" >visit&#40;const ConstName*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#29">Synopsis/SymbolLookup/Display.hh:29</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.TypeName_S_r" >visit&#40;const TypeName*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#30">Synopsis/SymbolLookup/Display.hh:30</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.TypedefName_S_r" >visit&#40;const TypedefName*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#31">Synopsis/SymbolLookup/Display.hh:31</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.ClassName_S_r" >visit&#40;const ClassName*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#32">Synopsis/SymbolLookup/Display.hh:32</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.EnumName_S_r" >visit&#40;const EnumName*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#33">Synopsis/SymbolLookup/Display.hh:33</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.ClassTemplateName_S_r" >visit&#40;const ClassTemplateName*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#34">Synopsis/SymbolLookup/Display.hh:34</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.FunctionName_S_r" >visit&#40;const FunctionName*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#35">Synopsis/SymbolLookup/Display.hh:35</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.FunctionTemplateName_S_r" >visit&#40;const FunctionTemplateName*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#36">Synopsis/SymbolLookup/Display.hh:36</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.NamespaceName_S_r" >visit&#40;const NamespaceName*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#38">Synopsis/SymbolLookup/Display.hh:38</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#my_os" >my_os</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#39">Synopsis/SymbolLookup/Display.hh:39</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#my_indent" >my_indent</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#40">Synopsis/SymbolLookup/Display.hh:40</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#my_name" >my_name</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolDisplay_mSymbolDisplay_lstd_mostream_A_csize_t_r" /><h2 >Synopsis::SymbolLookup::SymbolDisplay::SymbolDisplay&#40;std::ostream&amp;&#44;size_t&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#20">Synopsis/SymbolLookup/Display.hh:20</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolDisplay_mdisplay_lconst.PTree_mEncoding_A_cconst.Symbol_S_r" /><h2 >Synopsis::SymbolLookup::SymbolDisplay::display&#40;const PTree::Encoding&amp;&#44;const Symbol*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#22">Synopsis/SymbolLookup/Display.hh:22</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolDisplay_mmy_indent" /><h2 >Data member Synopsis::SymbolLookup::SymbolDisplay::my_indent</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#my_indent" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#39">Synopsis/SymbolLookup/Display.hh:39</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#25">Synopsis/SymbolLookup/Display.hh:25</a>: in Synopsis::SymbolLookup::SymbolDisplay::prefix&#40;const std</li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolDisplay_mmy_name" /><h2 >Data member Synopsis::SymbolLookup::SymbolDisplay::my_name</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#my_name" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#40">Synopsis/SymbolLookup/Display.hh:40</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolDisplay_mmy_os" /><h2 >Data member Synopsis::SymbolLookup::SymbolDisplay::my_os</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#my_os" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#38">Synopsis/SymbolLookup/Display.hh:38</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#25">Synopsis/SymbolLookup/Display.hh:25</a>: in Synopsis::SymbolLookup::SymbolDisplay::prefix&#40;const std</li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolDisplay_mprefix_lconst.std_mstring_A_r" /><h2 >Synopsis::SymbolLookup::SymbolDisplay::prefix&#40;const std::string&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#24">Synopsis/SymbolLookup/Display.hh:24</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolDisplay_mvisit_lconst.ClassName_S_r" /><h2 >Member function Synopsis::SymbolLookup::SymbolDisplay::visit&#40;const ClassName*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.ClassName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#31">Synopsis/SymbolLookup/Display.hh:31</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolDisplay_mvisit_lconst.ClassTemplateName_S_r" /><h2 >Member function Synopsis::SymbolLookup::SymbolDisplay::visit&#40;const ClassTemplateName*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.ClassTemplateName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#33">Synopsis/SymbolLookup/Display.hh:33</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolDisplay_mvisit_lconst.ConstName_S_r" /><h2 >Member function Synopsis::SymbolLookup::SymbolDisplay::visit&#40;const ConstName*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.ConstName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#28">Synopsis/SymbolLookup/Display.hh:28</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolDisplay_mvisit_lconst.EnumName_S_r" /><h2 >Member function Synopsis::SymbolLookup::SymbolDisplay::visit&#40;const EnumName*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.EnumName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#32">Synopsis/SymbolLookup/Display.hh:32</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolDisplay_mvisit_lconst.FunctionName_S_r" /><h2 >Member function Synopsis::SymbolLookup::SymbolDisplay::visit&#40;const FunctionName*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.FunctionName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#34">Synopsis/SymbolLookup/Display.hh:34</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolDisplay_mvisit_lconst.FunctionTemplateName_S_r" /><h2 >Member function Synopsis::SymbolLookup::SymbolDisplay::visit&#40;const FunctionTemplateName*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.FunctionTemplateName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#35">Synopsis/SymbolLookup/Display.hh:35</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolDisplay_mvisit_lconst.NamespaceName_S_r" /><h2 >Member function Synopsis::SymbolLookup::SymbolDisplay::visit&#40;const NamespaceName*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.NamespaceName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#36">Synopsis/SymbolLookup/Display.hh:36</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolDisplay_mvisit_lconst.Symbol_S_r" /><h2 >Member function Synopsis::SymbolLookup::SymbolDisplay::visit&#40;const Symbol*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.Symbol_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#26">Synopsis/SymbolLookup/Display.hh:26</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolDisplay_mvisit_lconst.TypeName_S_r" /><h2 >Member function Synopsis::SymbolLookup::SymbolDisplay::visit&#40;const TypeName*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.TypeName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#29">Synopsis/SymbolLookup/Display.hh:29</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolDisplay_mvisit_lconst.TypedefName_S_r" /><h2 >Member function Synopsis::SymbolLookup::SymbolDisplay::visit&#40;const TypedefName*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.TypedefName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#30">Synopsis/SymbolLookup/Display.hh:30</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolDisplay_mvisit_lconst.VariableName_S_r" /><h2 >Member function Synopsis::SymbolLookup::SymbolDisplay::visit&#40;const VariableName*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html#visit_lconst.VariableName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#27">Synopsis/SymbolLookup/Display.hh:27</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolSet" /><h2 >Typedef Synopsis::SymbolLookup::SymbolSet</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup.html#SymbolSet" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#61">Synopsis/SymbolLookup/Scope.hh:61</a>: in namespace <a href="../Scopes/Synopsis/SymbolLookup.html" >Synopsis::SymbolLookup</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#130">Synopsis/SymbolLookup/Scope.hh:130</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#136">Synopsis/SymbolLookup/Scope.hh:136</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#138">Synopsis/SymbolLookup/Scope.hh:138</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#140">Synopsis/SymbolLookup/Scope.hh:140</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#49">Synopsis/SymbolLookup/Scopes.hh:49</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html" >Synopsis::SymbolLookup::TemplateParameterScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#71">Synopsis/SymbolLookup/Scopes.hh:71</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html" >Synopsis::SymbolLookup::LocalScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#91">Synopsis/SymbolLookup/Scopes.hh:91</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#93">Synopsis/SymbolLookup/Scopes.hh:93</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#123">Synopsis/SymbolLookup/Scopes.hh:123</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#154">Synopsis/SymbolLookup/Scopes.hh:154</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#185">Synopsis/SymbolLookup/Scopes.hh:185</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#187">Synopsis/SymbolLookup/Scopes.hh:187</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#202">Synopsis/SymbolLookup/Scopes.hh:202</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#204">Synopsis/SymbolLookup/Scopes.hh:204</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolVisitor" /><h2 >Class Synopsis::SymbolLookup::SymbolVisitor</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#30">Synopsis/SymbolLookup/Symbol.hh:30</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#17">Synopsis/SymbolLookup/Display.hh:17</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#59">Synopsis/SymbolLookup/Symbol.hh:59</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html" >Synopsis::SymbolLookup::Symbol</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#77">Synopsis/SymbolLookup/Symbol.hh:77</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/VariableName.html" >Synopsis::SymbolLookup::VariableName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#89">Synopsis/SymbolLookup/Symbol.hh:89</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html" >Synopsis::SymbolLookup::ConstName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#103">Synopsis/SymbolLookup/Symbol.hh:103</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TypeName.html" >Synopsis::SymbolLookup::TypeName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#111">Synopsis/SymbolLookup/Symbol.hh:111</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TypedefName.html" >Synopsis::SymbolLookup::TypedefName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#119">Synopsis/SymbolLookup/Symbol.hh:119</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ClassName.html" >Synopsis::SymbolLookup::ClassName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#131">Synopsis/SymbolLookup/Symbol.hh:131</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/EnumName.html" >Synopsis::SymbolLookup::EnumName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#140">Synopsis/SymbolLookup/Symbol.hh:140</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ClassTemplateName.html" >Synopsis::SymbolLookup::ClassTemplateName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#153">Synopsis/SymbolLookup/Symbol.hh:153</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionName.html" >Synopsis::SymbolLookup::FunctionName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#165">Synopsis/SymbolLookup/Symbol.hh:165</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html" >Synopsis::SymbolLookup::FunctionTemplateName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#178">Synopsis/SymbolLookup/Symbol.hh:178</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/NamespaceName.html" >Synopsis::SymbolLookup::NamespaceName</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#33">Synopsis/SymbolLookup/Symbol.hh:33</a>: Destructor <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#_tSymbolVisitor_l_r" >~SymbolVisitor&#40;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#35">Synopsis/SymbolLookup/Symbol.hh:35</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.Symbol_S_r" >visit&#40;const Symbol*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#36">Synopsis/SymbolLookup/Symbol.hh:36</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.VariableName_S_r" >visit&#40;const VariableName*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#37">Synopsis/SymbolLookup/Symbol.hh:37</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.ConstName_S_r" >visit&#40;const ConstName*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#38">Synopsis/SymbolLookup/Symbol.hh:38</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.TypeName_S_r" >visit&#40;const TypeName*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#39">Synopsis/SymbolLookup/Symbol.hh:39</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.TypedefName_S_r" >visit&#40;const TypedefName*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#40">Synopsis/SymbolLookup/Symbol.hh:40</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.ClassName_S_r" >visit&#40;const ClassName*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#41">Synopsis/SymbolLookup/Symbol.hh:41</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.EnumName_S_r" >visit&#40;const EnumName*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#42">Synopsis/SymbolLookup/Symbol.hh:42</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.ClassTemplateName_S_r" >visit&#40;const ClassTemplateName*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#43">Synopsis/SymbolLookup/Symbol.hh:43</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.FunctionName_S_r" >visit&#40;const FunctionName*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#44">Synopsis/SymbolLookup/Symbol.hh:44</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.FunctionTemplateName_S_r" >visit&#40;const FunctionTemplateName*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#45">Synopsis/SymbolLookup/Symbol.hh:45</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.NamespaceName_S_r" >visit&#40;const NamespaceName*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolVisitor_mvisit_lconst.ClassName_S_r" /><h2 >Member function Synopsis::SymbolLookup::SymbolVisitor::visit&#40;const ClassName*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.ClassName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#40">Synopsis/SymbolLookup/Symbol.hh:40</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolVisitor_mvisit_lconst.ClassTemplateName_S_r" /><h2 >Member function Synopsis::SymbolLookup::SymbolVisitor::visit&#40;const ClassTemplateName*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.ClassTemplateName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#42">Synopsis/SymbolLookup/Symbol.hh:42</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolVisitor_mvisit_lconst.ConstName_S_r" /><h2 >Member function Synopsis::SymbolLookup::SymbolVisitor::visit&#40;const ConstName*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.ConstName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#37">Synopsis/SymbolLookup/Symbol.hh:37</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
